%define upstream_name    Net-Stomp
%define upstream_version 0.57

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Stub logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module allows you to write a Stomp client. Stomp is the Streaming Text
Orientated Messaging Protocol (or the Protocol Briefly Known as TTMP and
Represented by the symbol :ttmp). It's a simple and easy to implement protocol
for working with Message Orientated Middleware from any language.  Net::Stomp
is useful for talking to Apache ActiveMQ, an open source (Apache 2.0 licensed)
Java Message Service 1.1 (JMS) message broker packed with many enterprise
features.

A Stomp frame consists of a command, a series of headers and a body - see
the Net::Stomp::Frame manpage for more details.

For details on the protocol see https://stomp.github.io/ .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.570.0-1.mga6
+ Revision: 1010700
- update to 0.57

* Fri Feb 19 2016 umeabot <umeabot> 0.560.0-2.mga6
+ Revision: 968213
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.560.0-1.mga6
+ Revision: 851531
- update to 0.56

* Mon Dec 22 2014 buchan <buchan> 0.490.0-1.mga5
+ Revision: 804937
- imported package perl-Net-Stomp

